On 04/16/2013 01:16 PM, Martin Kosek wrote:
> Require samba 4.0.5 (passdb API changed). Make sure that we use the
> right epoch number with samba so that the Requires is correctly
> enforced.
> 
> Require krb5 1.11.2-1 to fix missing PAC issue.
> 
> ---
> 
> This patch makes sure we have the right dependencies in Fedora 19 (and Fedora
> 18 too for the samba one).
> 
> Martin
> 

Squashing a fix for backup dir permissions.

Martin

From 442543a4d76b00bf5a58c6817363c24cc70ea27f Mon Sep 17 00:00:00 2001
From: Martin Kosek <mko...@redhat.com>
Date: Tue, 16 Apr 2013 09:44:28 +0200
Subject: [PATCH] Require new samba and krb5

Require samba 4.0.5 (passdb API changed). Make sure that we use the
right epoch number with samba so that the Requires is correctly
enforced.

Require krb5 1.11.2-1 to fix missing PAC issue.

Also fix backup dir permissions.
---
 freeipa.spec.in | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index 7e9e994052bf32a7e2349adfbb932401bfd7f93e..9448a4b485f4bd638b6e080926febbf772839ca8 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -23,7 +23,7 @@ BuildRequires:  /usr/share/selinux/devel/Makefile
 BuildRequires:  policycoreutils >= %{POLICYCOREUTILSVER}
 BuildRequires:  systemd-units
 %if 0%{?fedora} >= 18
-BuildRequires:  samba-devel >= 4.0.0-150
+BuildRequires:  samba-devel >= 2:4.0.5-1
 BuildRequires:  samba-python
 BuildRequires:  libwbclient-devel
 %else
@@ -98,7 +98,7 @@ Requires: openldap-clients
 Requires: nss
 Requires: nss-tools
 %if 0%{?krb5_dal_version} >= 4
-Requires: krb5-server >= 1.11
+Requires: krb5-server >= 1.11.2-1
 %else
 %if 0%{krb5_dal_version} == 3
 # krb5 1.11 bumped DAL interface major version, a rebuild is needed
@@ -194,7 +194,7 @@ Requires: %{name}-server = %version-%release
 Requires: m2crypto
 %if 0%{?fedora} >= 18
 Requires: samba-python
-Requires: samba
+Requires: samba >= 2:4.0.5-1
 Requires: samba-winbind
 %else
 Requires: samba4-python
@@ -691,7 +691,7 @@ fi
 %attr(755,root,root) %{plugin_dir}/libipa_dns.so
 %attr(755,root,root) %{plugin_dir}/libipa_range_check.so
 %dir %{_localstatedir}/lib/ipa
-%attr(755,root,root) %dir %{_localstatedir}/lib/ipa/backup
+%attr(700,root,root) %dir %{_localstatedir}/lib/ipa/backup
 %attr(700,root,root) %dir %{_localstatedir}/lib/ipa/sysrestore
 %attr(700,root,root) %dir %{_localstatedir}/lib/ipa/sysupgrade
 %attr(755,root,root) %dir %{_localstatedir}/lib/ipa/pki-ca
@@ -794,6 +794,11 @@ fi
 %ghost %attr(0644,root,apache) %config(noreplace) %{_sysconfdir}/ipa/ca.crt
 
 %changelog
+* Mon Apr 15 2013 Martin Kosek <mko...@redhat.com> - 3.1.99-6
+- Require samba 4.0.5, includes new passdb API
+- Require krb5 1.11.2-1, fixes missing PAC issue
+- Change permissions on backup dir to 700
+
 * Fri Apr  5 2013 Rob Crittenden <rcrit...@redhat.com> - 3.1.99-5
 - Add backup and restore
 - Own /var/lib/ipa/backup
-- 
1.8.1.4

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to